import Vue from 'vue';
import { AnyIcon } from './iconTypes';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, Record<string, string>, {
    onClick(event: Event): void;
}, {
    rootClasses: Record<string, boolean>;
    lacksTitle: boolean;
    iconPath: string;
}, {
    icon: AnyIcon;
    iconColor: string;
    iconTitle: any;
    langCode: string;
}>;
/**
 * SVG icon.
 *
 * See src/themes/icons.ts for a list of all icons. To use an icon, import it,
 * assign it to a name in your component's data option, then use v-bind
 * to set the icon attribute of the <wvui-icon> element to that name.
 *
 * Alternately, custom or third-party icons could be used as long as the icon
 * prop provided to this component is either a string containing the icon's SVG
 * path or one of the icon types described in ./iconTypes.ts.
 */
export default _default;
