import Vue from 'vue';
import { SearchResult } from '../typeahead-search/http/SearchClient';
import './TypeaheadSuggestion.stories.less';
declare const _default: {
    parameters: {
        storySource: {
            source: string;
            locationsMap: {
                configurable: {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
                "example-list": {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
            };
        };
    };
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, {
        defaultThumbnailIcon: string;
    }, {
        onMouseOver(event: MouseEvent): void;
        onClick(event: MouseEvent): void;
    }, {
        rootClasses: Record<string, boolean>;
        suggestionWikiLink: string;
        thumbnailBackgroundImage: string;
    }, {
        active: boolean;
        articlePath: string;
        query: string;
        suggestion: SearchResult;
        urlGenerator: import("./UrlGenerator").UrlGenerator;
        showThumbnail: boolean;
        showDescription: boolean;
    }>;
};
export default _default;
export declare const configurable: () => Vue.Component;
export declare const exampleList: () => Vue.Component;
