/**
 * Wikimedia icons.
 *
 * If tree-shaking cannot be relied upon, consider creating an entry point that
 * defines the icons that are needed instead of including them all.
 */
import { Icon, IconFlipForRtl, IconVariedByLang, IconVariedByDir } from '../components/icon/iconTypes';
export declare const wvuiIconAdd: Icon;
export declare const wvuiIconAlert: Icon;
export declare const wvuiIconAlignCenter: Icon;
export declare const wvuiIconAlignLeft: Icon;
export declare const wvuiIconAlignRight: Icon;
export declare const wvuiIconArrowNext: IconFlipForRtl;
export declare const wvuiIconArrowPrevious: IconFlipForRtl;
export declare const wvuiIconArticle: IconFlipForRtl;
export declare const wvuiIconArticleAdd: Icon;
export declare const wvuiIconArticleCheck: Icon;
export declare const wvuiIconArticleDisambiguation: IconFlipForRtl;
export declare const wvuiIconArticleNotFound: IconFlipForRtl;
export declare const wvuiIconArticleRedirect: IconFlipForRtl;
export declare const wvuiIconArticleSearch: Icon;
export declare const wvuiIconArticles: IconFlipForRtl;
export declare const wvuiIconArticlesSearch: IconVariedByDir;
export declare const wvuiIconAttachment: Icon;
export declare const wvuiIconBell: Icon;
export declare const wvuiIconBellOutline: Icon;
export declare const wvuiIconBigger: Icon;
export declare const wvuiIconBlock: Icon;
export declare const wvuiIconBold: IconVariedByLang;
export declare const wvuiIconBook: IconFlipForRtl;
export declare const wvuiIconBookmark: Icon;
export declare const wvuiIconBookmarkOutline: Icon;
export declare const wvuiIconBright: Icon;
export declare const wvuiIconBrowser: IconFlipForRtl;
export declare const wvuiIconCalendar: Icon;
export declare const wvuiIconCamera: Icon;
export declare const wvuiIconCancel: Icon;
export declare const wvuiIconChart: Icon;
export declare const wvuiIconCheck: Icon;
export declare const wvuiIconCheckAll: Icon;
export declare const wvuiIconClear: Icon;
export declare const wvuiIconClock: Icon;
export declare const wvuiIconClose: Icon;
export declare const wvuiIconCode: Icon;
export declare const wvuiIconCollapse: Icon;
export declare const wvuiIconDie: Icon;
export declare const wvuiIconDoubleChevronEnd: IconFlipForRtl;
export declare const wvuiIconDoubleChevronStart: IconFlipForRtl;
export declare const wvuiIconDownTriangle: Icon;
export declare const wvuiIconDownload: Icon;
export declare const wvuiIconDraggable: Icon;
export declare const wvuiIconEdit: Icon;
export declare const wvuiIconEditLock: Icon;
export declare const wvuiIconEditUndo: IconVariedByDir;
export declare const wvuiIconEllipsis: Icon;
export declare const wvuiIconError: Icon;
export declare const wvuiIconExitFullscreen: Icon;
export declare const wvuiIconExpand: Icon;
export declare const wvuiIconEye: Icon;
export declare const wvuiIconEyeClosed: Icon;
export declare const wvuiIconFeedback: IconFlipForRtl;
export declare const wvuiIconFirst: IconFlipForRtl;
export declare const wvuiIconFlag: IconFlipForRtl;
export declare const wvuiIconFolderPlaceholder: IconFlipForRtl;
export declare const wvuiIconFullScreen: Icon;
export declare const wvuiIconFunnel: IconFlipForRtl;
export declare const wvuiIconGlobe: Icon;
export declare const wvuiIconHalfBright: IconFlipForRtl;
export declare const wvuiIconHalfStar: IconFlipForRtl;
export declare const wvuiIconHeart: Icon;
export declare const wvuiIconHelp: IconFlipForRtl;
export declare const wvuiIconHelpNotice: IconFlipForRtl;
export declare const wvuiIconHieroglyph: Icon;
export declare const wvuiIconHighlight: Icon;
export declare const wvuiIconHistory: Icon;
export declare const wvuiIconHome: Icon;
export declare const wvuiIconImage: Icon;
export declare const wvuiIconImageAdd: IconVariedByDir;
export declare const wvuiIconImageBroken: Icon;
export declare const wvuiIconImageGallery: Icon;
export declare const wvuiIconImageLayoutBasic: Icon;
export declare const wvuiIconImageLayoutFrame: Icon;
export declare const wvuiIconImageLayoutFrameless: Icon;
export declare const wvuiIconImageLayoutThumbnail: Icon;
export declare const wvuiIconImageLock: IconVariedByDir;
export declare const wvuiIconIndent: IconFlipForRtl;
export declare const wvuiIconInfo: IconVariedByLang;
export declare const wvuiIconInfoFilled: IconVariedByLang;
export declare const wvuiIconItalic: IconVariedByLang;
export declare const wvuiIconJournal: IconFlipForRtl;
export declare const wvuiIconKey: Icon;
export declare const wvuiIconKeyboard: Icon;
export declare const wvuiIconLabFlask: Icon;
export declare const wvuiIconLanguage: Icon;
export declare const wvuiIconLargerText: Icon;
export declare const wvuiIconLast: IconFlipForRtl;
export declare const wvuiIconLayout: IconFlipForRtl;
export declare const wvuiIconLink: Icon;
export declare const wvuiIconLinkExternal: IconFlipForRtl;
export declare const wvuiIconLinkSecure: Icon;
export declare const wvuiIconListBullet: IconFlipForRtl;
export declare const wvuiIconListNumbered: IconVariedByDir;
export declare const wvuiIconLock: Icon;
export declare const wvuiIconLogIn: IconFlipForRtl;
export declare const wvuiIconLogOut: IconFlipForRtl;
export declare const wvuiIconLogoCC: Icon;
export declare const wvuiIconLogoWikidata: Icon;
export declare const wvuiIconLogoWikimediaCommons: Icon;
export declare const wvuiIconLogoWikimediaDiscovery: Icon;
export declare const wvuiIconLogoWikimedia: Icon;
export declare const wvuiIconLogoWikipedia: Icon;
export declare const wvuiIconMap: IconFlipForRtl;
export declare const wvuiIconMapPin: Icon;
export declare const wvuiIconMapPinAdd: Icon;
export declare const wvuiIconMapTrail: Icon;
export declare const wvuiIconMarkup: Icon;
export declare const wvuiIconMathematics: Icon;
export declare const wvuiIconMathematicsDisplayBlock: Icon;
export declare const wvuiIconMathematicsDisplayDefault: Icon;
export declare const wvuiIconMathematicsDisplayInline: Icon;
export declare const wvuiIconMenu: Icon;
export declare const wvuiIconMessage: Icon;
export declare const wvuiIconMoon: Icon;
export declare const wvuiIconMove: Icon;
export declare const wvuiIconMusicalScore: Icon;
export declare const wvuiIconNewWindow: IconFlipForRtl;
export declare const wvuiIconNewline: IconFlipForRtl;
export declare const wvuiIconNewspaper: IconFlipForRtl;
export declare const wvuiIconNext: IconFlipForRtl;
export declare const wvuiIconNoWikiText: Icon;
export declare const wvuiIconNotBright: Icon;
export declare const wvuiIconNotice: Icon;
export declare const wvuiIconOngoingConversation: IconFlipForRtl;
export declare const wvuiIconOutdent: IconFlipForRtl;
export declare const wvuiIconOutline: IconFlipForRtl;
export declare const wvuiIconPageSettings: Icon;
export declare const wvuiIconPause: Icon;
export declare const wvuiIconPlay: Icon;
export declare const wvuiIconPrevious: IconFlipForRtl;
export declare const wvuiIconPrinter: Icon;
export declare const wvuiIconPushPin: Icon;
export declare const wvuiIconPuzzle: IconFlipForRtl;
export declare const wvuiIconQuotes: IconFlipForRtl;
export declare const wvuiIconRecentChanges: IconVariedByDir;
export declare const wvuiIconRedo: IconFlipForRtl;
export declare const wvuiIconReference: Icon;
export declare const wvuiIconReferenceExisting: IconVariedByDir;
export declare const wvuiIconReferences: IconFlipForRtl;
export declare const wvuiIconReload: Icon;
export declare const wvuiIconRestore: Icon;
export declare const wvuiIconRobot: Icon;
export declare const wvuiIconSearch: Icon;
export declare const wvuiIconSearchCaseSensitive: Icon;
export declare const wvuiIconSearchDiacritics: Icon;
export declare const wvuiIconSearchRegularExpression: Icon;
export declare const wvuiIconSettings: Icon;
export declare const wvuiIconSignature: IconFlipForRtl;
export declare const wvuiIconSmaller: Icon;
export declare const wvuiIconSmallerText: Icon;
export declare const wvuiIconSpecialCharacter: Icon;
export declare const wvuiIconSpecialPages: IconFlipForRtl;
export declare const wvuiIconSpeechBubble: IconFlipForRtl;
export declare const wvuiIconSpeechBubbleAdd: IconFlipForRtl;
export declare const wvuiIconSpeechBubbles: IconFlipForRtl;
export declare const wvuiIconStar: Icon;
export declare const wvuiIconStop: Icon;
export declare const wvuiIconStopHand: Icon;
export declare const wvuiIconStrikethrough: IconVariedByLang;
export declare const wvuiIconSubscript: IconFlipForRtl;
export declare const wvuiIconSubtract: Icon;
export declare const wvuiIconSuperscript: IconFlipForRtl;
export declare const wvuiIconTable: Icon;
export declare const wvuiIconTableAddColumnAfter: IconFlipForRtl;
export declare const wvuiIconTableAddColumnBefore: IconFlipForRtl;
export declare const wvuiIconTableAddRowAfter: Icon;
export declare const wvuiIconTableAddRowBefore: Icon;
export declare const wvuiIconTableCaption: Icon;
export declare const wvuiIconTableMergeCells: Icon;
export declare const wvuiIconTableMoveColumnAfter: IconFlipForRtl;
export declare const wvuiIconTableMoveColumnBefore: IconFlipForRtl;
export declare const wvuiIconTableMoveRowAfter: Icon;
export declare const wvuiIconTableMoveRowBefore: Icon;
export declare const wvuiIconTag: IconFlipForRtl;
export declare const wvuiIconTemplateAdd: IconFlipForRtl;
export declare const wvuiIconTextDirLTR: Icon;
export declare const wvuiIconTextDirRTL: Icon;
export declare const wvuiIconTextFlow: IconFlipForRtl;
export declare const wvuiIconTextStyle: Icon;
export declare const wvuiIconTextSummary: IconFlipForRtl;
export declare const wvuiIconTrash: Icon;
export declare const wvuiIconTray: Icon;
export declare const wvuiIconUnBlock: Icon;
export declare const wvuiIconUnFlag: IconVariedByDir;
export declare const wvuiIconUnLink: Icon;
export declare const wvuiIconUnLock: Icon;
export declare const wvuiIconUnStar: Icon;
export declare const wvuiIconUnderline: IconVariedByLang;
export declare const wvuiIconUndo: IconFlipForRtl;
export declare const wvuiIconUpTriangle: Icon;
export declare const wvuiIconUpload: Icon;
export declare const wvuiIconUserActive: Icon;
export declare const wvuiIconUserAdd: IconFlipForRtl;
export declare const wvuiIconUserAnonymous: Icon;
export declare const wvuiIconUserAvatar: Icon;
export declare const wvuiIconUserAvatarOutline: Icon;
export declare const wvuiIconUserContributions: IconFlipForRtl;
export declare const wvuiIconUserGroup: IconFlipForRtl;
export declare const wvuiIconUserTalk: IconFlipForRtl;
export declare const wvuiIconViewCompact: Icon;
export declare const wvuiIconViewDetails: IconFlipForRtl;
export declare const wvuiIconVisionSimulator: Icon;
export declare const wvuiIconWikiText: Icon;
export declare const wvuiIconWindow: Icon;
export declare const wvuiIconZoomIn: Icon;
export declare const wvuiIconZoomOut: Icon;
