import Vue from 'vue';
import './Input.stories.less';
declare const _default: {
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, Record<string, string | number | import("../icon/iconTypes").IconFlipForRtl | import("../icon/iconTypes").IconVariedByLang | import("../icon/iconTypes").IconVariedByDir>, {
        onInput(event: InputEvent): void;
        onChange(event: Event): void;
        onFocus(event: FocusEvent): void;
        onBlur(event: FocusEvent): void;
        onEndIconClick(): void;
        setCurrentValue(value: string | number): void;
    }, {
        isClearable: boolean;
        rootClasses: Record<string, boolean>;
        computedValue: string | number;
    }, {
        value: string | number;
        type: unknown;
        disabled: boolean;
        startIcon: string | import("../icon/iconTypes").IconFlipForRtl | import("../icon/iconTypes").IconVariedByLang | import("../icon/iconTypes").IconVariedByDir | undefined;
        endIcon: string | import("../icon/iconTypes").IconFlipForRtl | import("../icon/iconTypes").IconVariedByLang | import("../icon/iconTypes").IconVariedByDir | undefined;
        clearable: boolean;
    }>;
    parameters: {
        storySource: {
            source: string;
            locationsMap: {
                configurable: {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
                "with-start-icon": {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
                "with-end-icon": {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
                "with-clear-action": {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
                "with-button": {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
                "wikipedia-search-input": {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
            };
        };
        layout: string;
    };
};
export default _default;
export declare const configurable: () => Vue.Component;
export declare const withStartIcon: () => Vue.Component;
export declare const withEndIcon: () => Vue.Component;
export declare const withClearAction: () => Vue.Component;
export declare const withButton: () => Vue.Component;
export declare const wikipediaSearchInput: () => Vue.Component;
