import { FetchJson } from '../../../http/fetch';
import { SearchClient } from './SearchClient';
export interface RestResponse {
    pages: RestResult[];
}
interface RestResult {
    id: number;
    key: string;
    title: string;
    description?: string;
    thumbnail?: RestThumbnail | null;
}
interface RestThumbnail {
    url: string;
    width?: number | null;
    height?: number | null;
}
export declare function restSearchClient(getJson?: FetchJson): SearchClient;
export {};
