/// <reference types="node" />
export declare const version: string;
export { restSearchClient } from '@/components/typeahead-search/http/restSearchClient';
declare const _default: {
    WvuiButton: import("vue/types/vue").ExtendedVue<import("vue").default, unknown, {
        onClick(event: Event): void;
    }, {
        rootClasses: Record<string, boolean>;
    }, {
        action: unknown;
        quiet: boolean;
    }>;
    WvuiInput: import("vue/types/vue").ExtendedVue<import("vue").default, Record<string, string | number | import("../components/icon/iconTypes").IconFlipForRtl | import("../components/icon/iconTypes").IconVariedByLang | import("../components/icon/iconTypes").IconVariedByDir>, {
        onInput(event: InputEvent): void;
        onChange(event: Event): void;
        onFocus(event: FocusEvent): void;
        onBlur(event: FocusEvent): void;
        onEndIconClick(): void;
        setCurrentValue(value: string | number): void;
    }, {
        isClearable: boolean;
        rootClasses: Record<string, boolean>;
        computedValue: string | number;
    }, {
        value: string | number;
        type: unknown;
        disabled: boolean;
        startIcon: string | import("../components/icon/iconTypes").IconFlipForRtl | import("../components/icon/iconTypes").IconVariedByLang | import("../components/icon/iconTypes").IconVariedByDir | undefined;
        endIcon: string | import("../components/icon/iconTypes").IconFlipForRtl | import("../components/icon/iconTypes").IconVariedByLang | import("../components/icon/iconTypes").IconVariedByDir | undefined;
        clearable: boolean;
    }>;
    WvuiIcon: import("vue/types/vue").ExtendedVue<import("vue").default, Record<string, string>, {
        onClick(event: Event): void;
    }, {
        rootClasses: Record<string, boolean>;
        lacksTitle: boolean;
        iconPath: string;
    }, {
        icon: import("../components/icon/iconTypes").AnyIcon;
        iconColor: string;
        iconTitle: any;
        langCode: string;
    }>;
    WvuiTypeaheadSearch: import("vue/types/vue").ExtendedVue<import("vue").default, {
        startIcon: string;
        articleIcon: string;
        isHovered: boolean;
        suggestionActiveIndex: number;
        suggestionsList: import("../components/typeahead-search/http/SearchClient").SearchResult[];
        isFocused: boolean;
        searchQuery: string;
        inputValue: string;
        InputType: typeof import("../components/input/InputType").InputType;
        isExpanded: boolean;
        request: import("../components/typeahead-search/http/SearchClient").AbortableSearchFetch | null;
        debounceId: NodeJS.Timeout | null;
    }, {
        updateSuggestions(query: string, suggestions: import("../components/typeahead-search/http/SearchClient").SearchResult[]): void;
        clearSuggestions(): void;
        onInput(value: string): void;
        onSuggestionMouseOver(index: number): void;
        onInputFocus(): void;
        onInputBlur(): void;
        onFooterHover(): void;
        onRootMouseOver(): void;
        onRootMouseOut(): void;
        onSuggestionMouseDown(event: MouseEvent): void;
        onSuggestionClick(suggestion?: import("../components/typeahead-search/http/SearchClient").SearchResult | undefined): void;
        onKeyDownUp(event: KeyboardEvent): void;
        onKeyDownDown(event: KeyboardEvent): void;
        handleKeyUpDown(event: KeyboardEvent, offset: number): void;
        nudgeActiveSuggestion(offset: number): void;
        onKeyDownEscape(event: KeyboardEvent): void;
        getSuggestionId(suggestion: import("../components/typeahead-search/http/SearchClient").SearchResult): string;
        onSubmit(): void;
    }, {
        rootClasses: Record<string, boolean>;
        footerClasses: Record<string, boolean>;
        footerUrl: string;
        isFooterSelected: boolean;
        suggestionsId: string;
        activeSuggestionId: string;
        footerId: string;
        isExpandedString: string;
    }, {
        initialInputValue: string;
        buttonLabel: string;
        formAction: string;
        client: import("../components/typeahead-search/http/SearchClient").SearchClient;
        urlGenerator: import("../components/typeahead-suggestion/UrlGenerator").UrlGenerator;
        domain: string;
        footerSearchText: string;
        suggestionsLabel: string;
        focused: boolean;
        id: string;
        showThumbnail: boolean;
        showDescription: boolean;
    }>;
};
export default _default;
